# SPDX-FileCopyrightText: 2021-2023 Citadel and contributors
#
# SPDX-License-Identifier: GPL-3.0-or-later

bitcoin:
  container_name: bitcoin
  image: harbor.nirvati.org/citadel/bitcoin-knots:latest@sha256:2c06cb629057c85ed0fad0c381850471f75960e0a08746491e0dddd44c3359bb
  depends_on:
  - tor
  volumes:
  - ${PWD}/bitcoin:/data/.bitcoin
  restart: on-failure
  stop_grace_period: 1m
  ports:
  - $BITCOIN_P2P_PORT:$BITCOIN_P2P_PORT
  networks:
    default:
      ipv4_address: $BITCOIN_IP
      ipv6_address: $BITCOIN_IP6
